Summary: Core Sounds for Asterisk, The Open Source PBX
Name: asterisk-sounds-core-es_ES
Version: 2.9.15
Release: 1%{?dist}
License: GPL
Group: Utilities/System
Source: https://www.asterisksounds.org/sites/asterisksounds.org/files/sounds/es-ES/download/asterisk-sounds-core-es-ES-%{version}.zip
Source1: asterisk-sounds-core-es_ES-ulaw-%{version}.tar.gz
Source2: asterisk-sounds-core-es_ES-alaw-%{version}.tar.gz
Source3: asterisk-sounds-core-es_ES-gsm-%{version}.tar.gz
Source4: asterisk-sounds-core-es_ES-g722-%{version}.tar.gz
Source5: asterisk-sounds-core-es_ES-g729-%{version}.tar.gz
Source6: asterisk-sounds-core-es_ES-siren7-%{version}.tar.gz
Source7: asterisk-sounds-core-es_ES-siren14-%{version}.tar.gz
Source8: asterisk-sounds-core-es_ES-wav-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
URL: http://www.asterisk.org/
Packager: Ernani Azevedo <azevedo@voipdomain.io>

%description
Asterisk is an open source PBX and telephony development platform.  Asterisk  
can both replace a conventional PBX and act as a platform for the
development of custom telephony applications for the delivery of dynamic
content over a telephone; similar to how one can deliver dynamic content 
through a web browser using CGI and a web server.

Asterisk supports a variety of telephony hardware including BRI, PRI, POTS,
and IP telephony clients using the Inter-Asterisk eXchange (IAX) protocol (e.g. 
gnophone or miniphone).  For more information and a current list of supported
hardware, see http://www.asterisk.org 


%package ulaw
Summary: Asterisk core sounds - es_ES - ulaw.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package alaw
Summary: Asterisk core sounds - es_ES - alaw.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package gsm
Summary: Asterisk core sounds - es_ES - gsm.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package g722
Summary: Asterisk core sounds - es_ES - g722.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package g729
Summary: Asterisk core sounds - es_ES - g729.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package siren14
Summary: Asterisk core sounds - es_ES - siren14.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package siren7
Summary: Asterisk core sounds - es_ES - siren7.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package sln16
Summary: Asterisk core sounds - es_ES - sln16.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package wav
Summary: Asterisk core sounds - es_ES - wav.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%description ulaw
This package contains Asterisk core sounds - es_ES - ulaw.

%description alaw
This package contains Asterisk core sounds - es_ES - alaw.

%description gsm
This package contains Asterisk core sounds - es_ES - gsm.

%description g722
This package contains Asterisk core sounds - es_ES - g722.

%description g729
This package contains Asterisk core sounds - es_ES - g729.

%description siren14
This package contains Asterisk core sounds - es_ES - siren14.

%description siren7
This package contains Asterisk core sounds - es_ES - siren7.

%description sln16
This package contains Asterisk core sounds - es_ES - sln16.

%description wav
This package contains Asterisk core sounds - es_ES - wav.


%prep


%build


%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/

unzip -x -d $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/ %{SOURCE0}

tar xof %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/
tar xof %{SOURCE2} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/
tar xof %{SOURCE3} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/
tar xof %{SOURCE4} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/
tar xof %{SOURCE5} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/
tar xof %{SOURCE6} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/
tar xof %{SOURCE7} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/
tar xof %{SOURCE8} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/

find $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/ -type f -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/ -type d -exec chmod 755 {} \;

touch $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-ulaw-%{version}
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-alaw-%{version}
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-gsm-%{version}
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-g722-%{version}
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-g729-%{version}
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-siren14-%{version}
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-siren7-%{version}
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-sln16-%{version}
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-wav-%{version}

rm -f $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/.language $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds/es_ES/.version-core


%post


%verifyscript


%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version} 
%{__rm} -rf %{_localstatedir}/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT


%files ulaw
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*.ulaw
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*/*.ulaw
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-ulaw-%{version}

%files alaw
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*.alaw
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*/*.alaw
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-alaw-%{version}

%files gsm
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*.gsm
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*/*.gsm
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-gsm-%{version}

%files g722
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*.g722
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*/*.g722
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-g722-%{version}

%files g729
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*.g729
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*/*.g729
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-g729-%{version}

%files siren14
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*.siren14
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*/*.siren14
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-siren14-%{version}

%files siren7
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*.siren7
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*/*.siren7
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-siren7-%{version}

%files sln16
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*.sln16
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*/*.sln16
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-sln16-%{version}

%files wav
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*.wav
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/es_ES/*/*.wav
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/sounds/.asterisk-core-sounds-es_ES-wav-%{version}


%changelog
* Thu Oct 10 2019 Ernani Azevedo <azevedo@voipdomain.io> - 2.9.15-1
- First version of this package
